export class ContextMenuItem {
    constructor() {
        /**
         * Is the item disabled
         */
        this.disabled = false;
    }
    onClick(event) {
        if (this.disabled) {
            event.preventDefault();
            event.stopPropagation();
        }
    }
    static get is() { return "anj-context-menu-item"; }
    static get originalStyleUrls() { return {
        "$": ["context-menu-item.scss"]
    }; }
    static get styleUrls() { return {
        "$": ["context-menu-item.css"]
    }; }
    static get properties() { return {
        "action": {
            "type": "string",
            "mutable": false,
            "complexType": {
                "original": "string",
                "resolved": "string",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "The action to take when selected"
            },
            "attribute": "action",
            "reflect": true
        },
        "disabled": {
            "type": "boolean",
            "mutable": false,
            "complexType": {
                "original": "boolean",
                "resolved": "boolean",
                "references": {}
            },
            "required": false,
            "optional": false,
            "docs": {
                "tags": [],
                "text": "Is the item disabled"
            },
            "attribute": "disabled",
            "reflect": true,
            "defaultValue": "false"
        }
    }; }
    static get listeners() { return [{
            "name": "click",
            "method": "onClick",
            "target": undefined,
            "capture": false,
            "passive": false
        }, {
            "name": "mousedown",
            "method": "onClick",
            "target": undefined,
            "capture": false,
            "passive": false
        }]; }
}
